curl --request POST \
--url https://api.orgnise.in/collections \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "My Collection",
"object": "collection"
}
'import requests
url = "https://api.orgnise.in/collections"
payload = {
"name": "My Collection",
"object": "collection"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'My Collection', object: 'collection'})
};
fetch('https://api.orgnise.in/collections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "1",
"name": "My Collection",
"object": "collection",
"createdAt": "2021-01-01T00:00:00.000Z",
"updatedAt": "2021-01-01T00:00:00.000Z",
"team": "some-team-id",
"workspace": "some-workspace-id",
"meta": {
"title": "My Collection",
"slug": "my-collection"
}
}{
"error": {
"code": "bad_request",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#bad_request"
}
}{
"error": {
"code": "unauthorized",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#unauthorized"
}
}{
"error": {
"code": "forbidden",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#forbidden"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#not_found"
}
}{
"error": {
"code": "conflict",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#conflict"
}
}{
"error": {
"code": "invite_expired",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#invite_expired"
}
}{
"error": {
"code": "unprocessable_entity",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#unprocessable_entity"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#rate_limit_exceeded"
}
}{
"error": {
"code": "internal_server_error",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#internal_server_error"
}
}Create a collection/page
Create a new collection. Collections group related pages together. A collection can have as many as sub-collection or pages as you want, allowing you to organize your content in a flexible way.
Authorizations
Default authentication mechanism
Path Parameters
The slug of the team.
The slug of the workspace.
Body
Response
The created collection/page
A collection.
The id of the collection/page.
The name of the collection/page.
The team Id of the collection/page belongs to.
The workspace Id of the collection/page belongs to.
The meta of the team.
Show child attributes
Show child attributes
The date and time the collection/page was created.
The date and time the collection/page was last updated.
Object describes the type of the collection. Collections will be of type 'collection' and pages will be of type 'item'.
The parent collection id.
The children of the collection.
The content of the page. This will be a JSON object. if the object is a collection, this will be empty.
Was this page helpful?